%global checkout 20140303

Name:           gnome-code-assistance
Version:        0.3.%{checkout}git
Release:        1%{?dist}
Summary:        Common code assistance services for code editors

License:        GPLv2+
URL:            http://gnome.org

# Since the last release was ages ago, I'm packaging a git snapshot.
# This packaged was made from revision 6b24b17eddce50a4443e4f80559444868ef8dfce
# on 2014, 3rd of March

# Here's how:
# git clone git://git.gnome.org/gnome-code-assistance
# cd gnome-code-assistance
# git config tar.tar.xz.command "xz -c"
# git archive --format=tar.xz HEAD -o gnome-code-assistance-0.3.git.tar.xz --prefix=/gnome-code-assistance/
Source0:        %{name}-0.3.git.tar.xz

BuildRequires:  libtool
BuildRequires:  gcc

# C Backend
BuildRequires:  clang-devel
BuildRequires:  llvm-devel

# Python and XML backends:
BuildRequires:  python3
BuildRequires:  python3-dbus
BuildRequires:  python3-gobject
BuildRequires:  python3-lxml
# Javascript Backend:
BuildRequires:  gjs

# Vala backend:
BuildRequires:  vala-devel
BuildRequires:  libgee-devel

#Ruby/CSS/ Backend:
BuildRequires:  ruby
BuildRequires:  rubygem-ruby-dbus

#Remove this BRs when building a released version
BuildRequires:  autoconf
BuildRequires:  automake

Requires:  ruby
Requires:  rubygem-ruby-dbus
Requires:  gjs
Requires:  python3
Requires:  python3-lxml
Requires:  python3-dbus
Requires:  python3-gobject
Requires:  clang

%description
gnome-code-assistance is a project which aims to provide common code assistance
services for code editors (simple editors as well as IDEs). It is an effort to
provide a centralized code-assistance as a service for the GNOME platform
instead of having every editor implement their own solution.

%prep
%setup -q -n %{name}


%build
NOCONFIGURE=1 sh autogen.sh
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files
%doc README COPYING NEWS
%{_libexecdir}/%{name}/*
%{_datadir}/glib-2.0/schemas/org.gnome.codeassistance.gschema.xml
%{_datadir}/dbus-1/services/*.service

%changelog
* Mon Mar  3 2014 Elad Alfassa <elad@fedoraproject.org>
- Initial Build
